### Function

# Gio dbus_address_get_for_bus_sync

since: 2.26

#### Declaration

    gchar*
    g_dbus_address_get_for_bus_sync (
      GBusType bus_type,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Synchronously looks up the D-Bus address for the well-known message bus instance specified by `bus_type`. This may involve using various platform specific mechanisms.

The returned address will be in the D-Bus address format.

Available since: 2.26

#### Parameters

`bus_type`

  Type: `GBusType`

  A `GBusType`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A valid D-Bus address string for `bus_type` or `NULL` if `error` is set.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.